Skip to main content

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

POST /oauth/access_token
This endpoint is part of the legacy authentication pipeline. We recommend that you open the browser to do social authentication instead, which is what Google and Facebook are recommending. For more information on the latest authentication pipeline refer to Introducing OIDC Conformant Authentication.This feature is disabled by default for new tenants as of 8 June 2017. Please see Application Grant Types for more information.
Given the social provider’s Access Token and the connection, this endpoint will authenticate the user with the provider and return a JSON with the Access Token and, optionally, an ID Token. This endpoint only works for Facebook, Google, Twitter, and Weibo.

Remarks

  • The profile scope value requests access to the End-User’s default profile Claims, which are: name, family_name, given_name, middle_name, nickname, preferred_username, profile, picture, website, gender, birthdate, zoneinfo, locale, and updated_at.
  • The email scope value requests access to the email and email_verified Claims.

Learn More

Parameters

client_id
string
required
The client_id of your application.
access_token
string
required
The social provider’s Access Token.
connection
string
required
The name of an identity provider configured to your app.
scope
string
Use openid to get an ID Token, or openid profile email to include user information.

Response

StatusDescription
200Successful authentication response
400Bad Request
401Unauthorized
403Forbidden
defaultUnexpected error